post
https://{app-url}{}/api/v2/alert-actions/create
A Pro Tip:
Retrieve example alert action parameters using the GET Alert Actions endpoint. You can use the returned configuration as a starting point for creating your own alert actions.
Request Arguments:
Selected Request Arguments:
| Argument | Type | Description |
|---|---|---|
| userId | string | ID of the action owner (the user who created the action). |
| actionType | array | Type of action. Currently, only "OUTSIDE_LINK" is supported; additional types may be added in the future. |
| actionName | string | Name of the action as displayed in Anodot. Note: differs from the button text shown to alert recipients. |
| btnName | string | Text displayed on the action button. |
| data | array | Parameters defining the action. For "OUTSIDE_LINK" actions, the only parameter is url. |
Response Fields:
The response will show the parameters of the created alert action together with the newly created ID and the created/modified time.
